package com.example.demo;

import java.time.OffsetDateTime;
import java.util.Optional;
import java.util.UUID;

import org.assertj.core.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.example.demo.model.TestDocument;
import com.example.demo.repository.TestDocumentRepository;

@SpringBootTest
class DemoApplicationTests {

	@Autowired private TestDocumentRepository testDocumentRepository;

	@Test
	void testDoc() {
		testDocumentRepository.save(new TestDocument(UUID.randomUUID(), OffsetDateTime.now()));
		Optional<TestDocument> doc = testDocumentRepository.findFirstByStartDateBetween(OffsetDateTime.now().minusDays(3), OffsetDateTime.now().plusDays(1));
		Assertions.assertThat(doc).isPresent();
	}

}
